Subject: [Emu] WGLC for RFC5448bis

From: Joseph Salowey <[email-masked]>
Date: Wed, 13 Feb 2019 17:58:32 -0800

This is the working group last call for draft-ietf-emu-rfc5448bis-04
<https://tools.ietf.org/html/draft-ietf-emu-rfc5448bis-04>.  Please send
your comments to the list by 3/1/2019.

Thanks,

Joe and Mohit

---

From: John Mattsson <[email-masked]>
Date: Thu, 14 Feb 2019 14:31:37 +0000

Hi,

I have reviewed this draft multiple times, I think this draft is very well-written and ready to be published. A few minor comments:

- "3rd Generation Authentication and Key Agreement"

I see that this exact term was used in RFC 5448, but I find it quite strange. I think the terminology is wrong as UMTS AKA was the second generation AKA made for the third generation cellular networks.... I find "3G Authentication and Key Agreement (AKA)", or the terminology used in RFC 4186 ("The Authentication and Key Agreement (AKA) mechanism used in 3rd generation mobile networks") to be much better. 3GPP calls the different AKA mechanisms: GSM AKA, UMTS AKA, EPS AKA, 5G AKA.

- "EAP-AKA' is commonly implemented in smart phones and network equipment."

"smart phones" is often uses for a certain class of phones, I assume EAP-AKA' is also commonly implemented in feature phones. Suggestion:

OLD: "smart phones"
NEW: "mobile phones"

(it is also commonly implemented in IoT devices that are not phones at all...)

- I previously sent this in a different thread:

https://mailarchive.ietf.org/arch/msg/emu/fHopSdLqMY37odPGvwn7M5ZksIw

Reading draft-dekok-emu-eap-session-id-00, I noticed that draft-ietf-emu-rfc5448bis uses
a different notation (decimal vs. hexadecimal) than other related drafts.

   https://tools.ietf.org/html/draft-ietf-emu-rfc5448bis

      Session-Id = 50 || RAND || AUTN
      Session-Id = 50 || NONCE_S || MAC

   https://tools.ietf.org/html/rfc5247

      Session-Id = 0x17 || RAND || AUTN
      Session-Id = 0x12 || RAND || NONCE_MT

   https://tools.ietf.org/html/draft-dekok-emu-eap-session-id

      Session-Id = 0x17 || RAND || AUTN
      Session-Id = 0x17 || NONCE_S || MAC
      Session-Id = 0x12 || RAND || NONCE_MT

   As all other EAP RFCs I can find (RFC 5247, RFC 5216) also use hexadecimal notation, I suggest that draft-ietf-emu-rfc5448bis is updated to avoid any confusion for implementors:

     OLD: "Session-Id = 50 || RAND || AUTN"
     NEW: "Session-Id = 0x32 || RAND || AUTN"

     OLD: "Session-Id = 50 || NONCE_S || MAC"
     NEW: "Session-Id = 0x32 || NONCE_S || MAC"

- "[TS-3GPP.35.208] .... (Release 14)"

A release 15 version of TS 35.208 has now been published. Most of the other 3GPP references are out-of-date. Maybe add an editor's note that all 3GPP references should be updated to the latest Release 15 version before publishing.

- "Appendix G.  Acknowledgments"

Should not be numbered according to RFC 7322

OLD: <section title="Acknowledgments">
NEW: <section title="Acknowledgments" numbered="false">

Cheers,
John